<?
include_once 'inc/q_animals.php';
include_once 'inc/new_petground.php';
include_once 'inc/change_food.php';
include_once 'inc/level.php';
include_once 'inc/level_all.php';
if(isset($_GET['moderate'])){
include_once 'inc/sell_all_animal.php';
}
include_once 'inc/sell_animal.php';
include_once 'inc/buy_animal.php';
include_once 'inc/food.php';
include_once 'inc/food_all.php';
include_once 'inc/money.php';
include_once 'inc/money_all.php';
if(isset($_SESSION['err']))
{
echo err_game("Не хватает овощей в амбаре");
unset($_SESSION['err']);
}

require_header ('Загоны');

echo "<div class='content'>";
echo "<div class='block'>";
if(!isset($_GET['moderate'])){
if($ku['scarecrow_time']>$time)echo "<li><img width='16' height='16' src='images/icons/scarecrow.png' alt='o'> <a class='epic' href='/shop-scarecrow'>Пугало</a><span class='minor'> на <span>".time_left($ku['scarecrow_time']-$time)."</span></span></li>";
if($ku['dog_time']>$time)echo "<li><img width='16' height='16' src='images/icons/dog.png' alt=''> <a class='epic' href='/shop-dog'>Собака</a><span class='minor'> $ku[dog_type]% на <span>".time_left($ku['dog_time']-$time)."</span></span></li>";
if($ku['time_shmel']>$time)echo "<li><img width='16' height='16' alt='o' src='images/icons/heli1n.png'> <a class='epic' href='/shop-helicopter/1'>Шмель</a><span class='minor'> на <span>".time_left($ku['time_shmel']-$time)."</span></span></li>";
if($ku['time_yastreb']>$time)echo "<li><img width='16' height='16' alt='o' src='images/icons/heli2n.png'> <a class='epic' href='/shop-helicopter/2'>Ястреб</a><span class='minor'> на <span>".time_left($ku['time_yastreb']-$time)."</span></span></li>";
if($ku['time_drakon']>$time)echo "<li><img width='16' height='16' alt='o' src='images/icons/heli3n.png'> <a class='epic' href='/shop-helicopter/3'>Дракон</a><span class='minor'> на <span>".time_left($ku['time_drakon']-$time)."</span></span></li>";
if($ku['money2x_time']>$time)echo "<li><img width='30'  alt='o' src='pavelgrey/img/2xmoney.png'> <a class='epic' href='/payment'>Двойной доход</a><span class='minor'> на <span>".time_left($ku['money2x_time']-$time)."</span></span></li>";

if($ku['last_food']!=0 && mysql_result(mysql_query("SELECT COUNT(*) FROM `kolhoz_plant` WHERE `id` = '$ku[last_food]'"),0)!=0)$lfid=mysql_fetch_array(mysql_query("SELECT `id` FROM `kolhoz_warehouse` WHERE `id_plant` = '$ku[last_food]' AND `id_user`='$ku[id]'"));
}else{
if($sell_sum>0)echo "<li><img width='16' height='16' src='images/icons/arrow.png' alt='*'> <a href='/mypetfarm/moderate/sell_all'>Продать всех животных</a>  за <span><img width='16' height='16' src='images/icons/money.png' alt='*'> 
<span class='title'>$sell_sum</span></span></li>";
if($buy_sum>0)echo "<li><img width='16' height='16' src='images/icons/arrow.png' alt='*'><a href='/mypetfarm/moderate/buy_all'>Купить во все загоны ".hsc($_SESSION['buy_pet_name'])."</a>  за <span><img width='16' height='16' src='images/icons/money.png' alt='*'> 
<span class='title'>$buy_sum</span></span></li>";
echo'<li class="ptm"></li>';
}
if($ku['fooder']>0 && !isset($_GET['moderate']))
{
$q=mysql_query("SELECT * FROM `kolhoz_petground` WHERE `id_user` = '$ku[id]' AND `id_pet` != '0'");
$count_gol=0;
while($post=mysql_fetch_array($q))
{
$max_time=$time+$post['level']*(3600*4);
$mezh_time=$max_time-$post['time'];
if($mezh_time>=4*3600)$count_gol++;
}
if($count_gol!=0)echo "<div><img width='16' height='16' src='images/icons/plate.png' alt='o'> <a href='/mypetfarm/food_all'>Накормить всех</a></div>";
}

if($ku['conveyor']>0 && !isset($_GET['moderate']))
{
$q=mysql_query("SELECT * FROM `kolhoz_petground` WHERE `id_user` = '$ku[id]' AND `id_pet` != '0'");
$money2=0;
while($post=mysql_fetch_array($q))
{
$pet=mysql_fetch_array(mysql_query("SELECT * FROM `kolhoz_pet` WHERE `id` = '$post[id_pet]'"));
$d_money=floor($post['time_money2']/(4*3600));
if($d_money>0)
{
$nt=$post['time_money2']-($d_money*14400);
$count=1;
$count_conveyor_act=0;
$count_vet_act=0;
if($ku['treasury']>0)$treasury=($count/100)*($ku['treasury']*5); 
if($ku['money2x_time']>=$time)$money2x=($count/100)*100; 
if($ku['talent_2']>0)$talent2=(($count/100)*($ku['talent_2']*5));

if(isset($conveyor_act))$count_conveyor_act=($count/100)*$conveyor_act;
if(isset($vet_act))$count_vet_act=($count/100)*$vet_ps_m;
$count=$count_conveyor_act+$talent2+$money2x+$treasury+$count_vet_act+$count;

$money=($count*$pet['money'])*$d_money;
$money2=$money2+$money;
}
}
if($money2>0)echo "<div><img width='16' height='16' src='images/icons/harvest.png' alt='o'> <a href='/mypetfarm/money_all'>Продать все</a> за <span><img width='16' height='16' src='images/icons/money.png' alt='*'> <span
class='title'>".(strkol($money2))."</span></span></div>";
}
echo "<div class='ptm'><ul>";
if($ku['compact']==1)$ku['str']=5;
if($ku['compact']==0)$ku['str']=500;
$k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `kolhoz_petground` WHERE `id_user` = '$ku[id]'"),0); 
if ($k_post==0) 
{ 
echo "Список пуст..."; 
} 
$k_page=k_page($k_post,$ku['str']); 
$page=page($k_page); 
$start=$ku['str']*$page-$ku['str']; 
$num=($page-1)*$ku['str']; 
$q=mysql_query("SELECT * FROM `kolhoz_petground` WHERE `id_user` = '$ku[id]' ORDER BY `id` DESC LIMIT $start, $ku[str]"); 
while($post=mysql_fetch_array($q))
{
$pet=mysql_fetch_array(mysql_query("SELECT * FROM `kolhoz_pet` WHERE `id` = '$post[id_pet]'"));
echo "<li><img width='48' height='48' src='".($post['id_pet']==0?"images/dirt_new.jpg":"images/pets/$pet[id].png")."' style='border-radius: 6px;' alt='*' class='portrait'>";
echo "<div>";
if($post['id_pet']==0)
{
echo "<img alt='*' width='16' height='16' src='images/icons/animal.png'> ".(isset($_SESSION['buy_pet'])?"<a href='/mypetfarm/buy-$post[id]/select-".hsc($_SESSION['buy_pet'])."'>Купить ".hsc($_SESSION['buy_pet_name'])." <img alt='' width='16' height='16' src='images/icons/money.png'>".hsc($_SESSION['buy_pet_cena'])."</a>, <a href='/mypetfarm/buy-$post[id]'>выбрать животное</a>":"<a href='/mypetfarm/buy-$post[id]'>Купить животное</a>")."";
}
else
{
if(!isset($_GET['moderate']))
{
if(isset($_GET['blocked']) && intval($_GET['blocked'])!=NULL && mysql_result(mysql_query("SELECT COUNT(*) FROM `kolhoz_petground` WHERE `id` = '".intval($_GET['blocked'])."' AND `id_user` = '$ku[id]'"),0)!=0)
{
$block=mysql_fetch_array(mysql_query("SELECT * FROM `kolhoz_petground` WHERE `id` = '".intval($_GET['blocked'])."'"));
  mysql_query("UPDATE `kolhoz_petground` SET `block` = '1' WHERE `id` = '".intval($_GET['blocked'])."'");
$_SESSION['msg']='Животное защищено от продажи!';
header("location:/?mypetfarm");
}    
if(isset($_GET['unblocked']) && intval($_GET['unblocked'])!=NULL && mysql_result(mysql_query("SELECT COUNT(*) FROM `kolhoz_petground` WHERE `id` = '".intval($_GET['unblocked'])."' AND `id_user` = '$ku[id]'"),0)!=0)
{
$block=mysql_fetch_array(mysql_query("SELECT * FROM `kolhoz_petground` WHERE `id` = '".intval($_GET['unblocked'])."'"));
  mysql_query("UPDATE `kolhoz_petground` SET `block` = '0' WHERE `id` = '".intval($_GET['unblocked'])."'");
$_SESSION['msg']='Животное можно продать!';
header("location:/?mypetfarm");
}    
if($post['block']==1)$blocked='<a href="/?mypetfarm&unblocked='.$post['id'].'" class="minor"><img width="16" src="http://kolhoz.mobi/images/icons/abilities1.png" title="снять защиту"></a>';
if($post['block']==0)$blocked='<a href="/?mypetfarm&blocked='.$post['id'].'" class="minor"><img src="/images/icons/shield.png" title="Защита"></a>';

echo "<span class='title'>".hsc($pet['name'])." ".$blocked."</span>";
if($post['time']>$time)echo "<span class='small minor'> (Сытость на ".time_left($post['time']-$time).")</span>";
}
if(isset($_GET['moderate']))
{
if($post['block']==0)echo "<li><img alt='' width='16' height='16' src='images/icons/money.png'> 
<a href='/mypetfarm/sell-$post[id]'>Продать животное</a> за <span><img width='16' height='16' src='images/icons/money.png' alt='o'> 
<span class='title'>".($pet['cena']/2)."</span></span></li>";
if($post['block']==1)echo "<li><img alt='' width='16' height='16' src='images/icons/money.png'> <span class='title'>Животное нельзя продать</span></span></li>";
if($post['level']<20)
{
$post['next_level']=$post['level']+1;
$money_all_levels=0;
for($kp=$post['next_level'];$kp<=20;$kp++)
{
$money_all_levels=$money_all_levels+$kp;
}
echo "<li><img alt='' width='16' height='16' src='images/icons/up.png'> <a href='/mypetfarm/level-$post[id]'>Увеличить ёмкость</a>
 за <span><img width='16' height='16' src='images/icons/money.png' alt='o'> <span class='title'>$post[next_level] тыс.</span></span>
<span class='small minor'>(с $post[level] до $post[next_level])</span></li>
<li><img alt='' width='16' height='16' src='images/icons/up.png'> <a href='/mypetfarm/level_all-$post[id]'>Увеличить ёмкость</a> за 
<span><img width='16' height='16' src='images/icons/money.png' alt='o'> <span class='title'>$money_all_levels тыс.</span></span>
<span class='small minor'>(с $post[level] до 20)</span></li><li class='pt'></li>";
}
}
else
{
echo "</div><div>";
$d_money=floor($post['time_money2']/(4*3600));
if($d_money>0)
{
$nt=$post['time_money2']-($d_money*14400);
$count=1;
$count_conveyor_act=0;
$count_vet_act=0;
if($ku['treasury']>0)$treasury=($count/100)*($ku['treasury']*5); 
if($ku['money2x_time']>=$time)$money2x=($count/100)*100; 
if($ku['talent_2']>0)$talent2=(($count/100)*($ku['talent_2']*5));

if(isset($conveyor_act))$count_conveyor_act=($count/100)*$conveyor_act;
if(isset($vet_act))$count_vet_act=($count/100)*$vet_ps_m;
$count=$count_conveyor_act+$talent2+$money2x+$treasury+$count_vet_act+$count;

$money=($count*$pet['money'])*$d_money;
echo "<img width='16' height='16' src='images/icons/money.png' alt='*'> <a class='' href='/mypetfarm/money-$post[id]'>Продать</a> за <span><img width='16' height='16' src='images/icons/money.png' alt='*'> <span
class='title'>".(strkol($money))."</span></span>";
}
else
{
$max_time=$time+$post['level']*(3600*4);
$mezh_time=$max_time-$post['time'];
if($mezh_time>=4*3600)echo "<img width='16' height='16' src='images/icons/plate.png' alt='o'> <a class='' href='/mypetfarm/food-$post[id]".(!empty($lfid['id'])?"/select-$lfid[id]":null)."'><span>Покормить</span></a>";
}
}
}
//echo "</div>";
echo "<div style='clear:both'></div></li>";
}
if ($k_page>1)str("/?mypetfarm&",$k_page,$page); // Вывод страниц 

if($mypetground<20 || ($ku['level']>=30 && $mypetground<25) || ($ku['level']>=50 && $mypetground<35) || ($ku['level']>=60 && $mypetground<40))echo "<li><img width='48' height='48' src='images/dirt_new.jpg' alt='*' class='portrait'><div><span class='title'>Новый загон</span></div><div><img width='16' height='16' src='images/icons/cart.png' alt='o'> <a href='/mypetfarm/new_petground'>Купить</a>
за <span class='title'><img width='16' height='16' src='images/icons/ruby.png' alt='o'> <span>".cpg(mysql_result(mysql_query("SELECT COUNT(*) FROM `kolhoz_petground` WHERE `id_user` = '$ku[id]'"),0))."</span> рубинов</span></div><div style='clear:both'></div></li>";
echo "</ul></div><ul class='ptm'></ul>";

if($ku['last_food']!=0 && mysql_result(mysql_query("SELECT COUNT(*) FROM `kolhoz_plant` WHERE `id` = '$ku[last_food]'"),0)!=0)$lf=mysql_fetch_array(mysql_query("SELECT * FROM `kolhoz_plant` WHERE `id` = '$ku[last_food]'"));

echo "<div class='ptm'><img width='16' height='16' src='images/icons/plate.png' alt=''> <a href='/mypetfarm/change_food'>Выбрать корм</a><span>".(isset($lf)?": ".hsc($lf['name'])."":null)."</span>
<li><img width='16' height='16' src='images/icons/animal.png' alt=''> <a href='/help-animals'>Животные</a></li>
 <img width='16' height='16' src='images/icons/refresh.png' alt=''> <a href='/mypetfarm/reflesh/".rand(99999,99999999)."'>Обновить</a> <img alt='o' width='16' height='16' src='images/icons/moderate.png'> <a href='/mypetfarm/moderate'>Управление</a></div>";
include_once 'inc/foot.php';
?>